Game Develop Core: gd::CommonBitmapManager Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Static Public Member Functions | Public Attributes | List of all members
gd::CommonBitmapManager Class Reference
IDE Classes ( Classes to be used to implement a development environment )

Provide easy access to the most common wxBitmap used in dialogs. More...

`#include <CommonBitmapManager.h>`

## Static Public Member Functions

static CommonBitmapManager * | GetInstance ()
static void | DestroySingleton ()

## Public Attributes

wxBitmap | expressionBt
wxBitmap | objectBt
wxBitmap | automatismBt
wxBitmap | signeBt
wxBitmap | fileBt
wxBitmap | yesnoBt
wxBitmap | policeBt
wxBitmap | colorBt
wxBitmap | texteBt
wxBitmap | musicBt
wxBitmap | soundBt
wxBitmap | passwordBt
wxBitmap | unknownBt
wxBitmap | keyBt
wxBitmap | mouseBt
wxBitmap | transparentBg
wxBitmap | trueOrFalseBt
wxBitmap | point
wxBitmap | add16
wxBitmap | add24
wxBitmap | unknown24
wxBitmap | unknownAction24
wxBitmap | unknownCondition24
wxBitmap | scene
wxBitmap | layerBt
wxBitmap | joyaxisBt
wxBitmap | backthumbsBg
wxBitmap | varBt
wxBitmap | noProtection
wxBitmap | folder40
wxBitmap | parentFolder40
wxBitmap | invertedCondition
wxBitmap | left16
wxBitmap | right16
wxBitmap | animation16
wxBitmap | leftdir16
wxBitmap | leftdowndir16
wxBitmap | downdir16
wxBitmap | rightdowndir16
wxBitmap | rightdir16
wxBitmap | rightupdir16
wxBitmap | updir16
wxBitmap | leftupdir16
wxBitmap | maskEdit16
wxBitmap | pointEdit16
wxBitmap | defaultMask16
wxBitmap | objectGroup16
wxBitmap | gdFileIcon32
wxBitmap | error48

## Detailed Description

Provide easy access to the most common wxBitmap used in dialogs.

The bitmaps are loaded when the CommonBitmapManager is constructed for the first time ( usually by the IDE ).

The documentation for this class was generated from the following files:

- CommonBitmapManager.h
- CommonBitmapManager.cpp